## kwayland-integration 5.5.5

=== CMakeLists.txt ===
project(kwayland-integration)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.12.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)

include(FeatureSummary)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

# required frameworks
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    IdleTime
    WindowSystem
)
find_package(KF5Wayland CONFIG REQUIRED)

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kwayland-integration 5.4.2

=== debian/changelog ===
kwayland-integration (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:56:25 +0100

kwayland-integration (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:18:16 +0100

kwayland-integration (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:52:07 +0100

kwayland-integration (4:5.3.95-0ubuntu2) wily; urgency=medium

  * Add kwayland-dev build-dep version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Aug 2015 13:41:52 +0200

kwayland-integration (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:16:07 +0200

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.4.0),
               kwayland-dev (>= 4:5.4.2~),
               libkf5idletime-dev,
               libkf5windowsystem-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kwayland-integration.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kwayland-integration.git

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.

Package: kwayland-integration-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: kwayland-integration (= ${binary:Version}), ${misc:Depends}
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains debug symbols for kwayland-integration.

## kwayland-integration 5.5.5

=== debian/changelog ===
kwayland-integration (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 14 Apr 2016 13:44:40 -0700

kwayland-integration (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial
  * Debian merge, no remaining changes

  [ Clive Johnston ]
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:24:22 +0100

kwayland-integration (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:33:48 +0100

kwayland-integration (5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:11 +0100

kwayland-integration (5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:16 +0200

kwayland-integration (5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:30 +0200

kwayland-integration (5.4.0-1) unstable; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 01:31:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 1.4.0),
-               kwayland-dev (>= 4:5.4.2~),
-               libkf5idletime-dev,
-               libkf5windowsystem-dev,
+               kwayland-dev (>= 4:5.5.1~),
+               libkf5idletime-dev (>= 5.12.0~),
+               libkf5windowsystem-dev (>= 5.12.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kwayland-integration-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kwayland-integration-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/kwayland-integration-([\d.]+)\.tar\.xz

## kwayland-integration 5.7.5

=== debian/changelog ===
kwayland-integration (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:27:38 -0500

kwayland-integration (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * Merged with Debian
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:06:11 +0000

kwayland-integration (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:47:29 +0100

kwayland-integration (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:20:14 -0700

kwayland-integration (5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add missing qtwayland platform plugin, needed for the test

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 19:42:05 +0200

kwayland-integration (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 16:52:35 +0200

kwayland-integration (5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Update changelog for 5.6.2-1~1.gbpb78063 release
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 16:07:33 +0200

kwayland-integration (5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:08 +0100

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kwayland-dev (>= 4:5.24.0~),
               libkf5idletime-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtwayland5
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, qtwayland5
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.

## kwayland-integration 5.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 project(kwayland-integration)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.24.0")
 
 find_package(ECM 0.0.11 REQUIRED NO_MODULE)
 
@@ -20,7 +20,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 # required frameworks
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -30,5 +30,6 @@
 find_package(KF5Wayland CONFIG REQUIRED)
 
 add_subdirectory(src)
+add_subdirectory(autotests)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kwayland-integration (5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:45 +0100

kwayland-integration (5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:22:16 +0200

kwayland-integration (5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:58:35 +0200

kwayland-integration (5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Bump group breaks (5.8)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:04:32 +0200

kwayland-integration (5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:04:35 +0200

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.4.0),
               libkf5idletime-dev (>= 5.24.0~),
               libkf5wayland-dev (>= 4:5.4.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.4.0~),
               qtwayland5
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kwayland-integration.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kwayland-integration.git

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: qtwayland5, ${misc:Depends}, ${shlibs:Depends}
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.
Breaks: kwin-wayland (<< 4:5.8), plasma-workspace-wayland (<< 4:5.8)

## kwayland-integration 5.9.4

=== debian/changelog ===
kwayland-integration (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:56:39 +0000

kwayland-integration (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:50:48 +0000

kwayland-integration (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:03:54 +0000

kwayland-integration (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:18:49 +0000

kwayland-integration (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:25 +0000

kwayland-integration (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:12 +0000

kwayland-integration (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:53:12 +0000

## kwayland-integration 5.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kwayland-integration)
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.9.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== debian/changelog ===
kwayland-integration (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:18 +0100

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5idletime-dev (>= 5.31.0~),
               libkf5wayland-dev (>= 4:5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtwayland5
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: qtwayland5, ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-wayland (<< 4:5.8), plasma-workspace-wayland (<< 4:5.8)
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.

## kwayland-integration 5.10.5

=== debian/changelog ===
kwayland-integration (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:03 +0100

kwayland-integration (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:36:43 +0100

kwayland-integration (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:17 +0100

kwayland-integration (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:11:24 +0100

kwayland-integration (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:20 +0100

kwayland-integration (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:48:26 +0100

kwayland-integration (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:30:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5idletime-dev (>= 5.31.0~),
-               libkf5wayland-dev (>= 4:5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               libkf5idletime-dev (>= 5.36.0~),
+               libkf5wayland-dev (>= 4:5.36.0~),
+               libkf5windowsystem-dev (>= 5.36.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtwayland5

## kwayland-integration 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kwayland-integration)
-set(PROJECT_VERSION "5.9.5")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -16,6 +16,7 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
+    Widgets
 )
 
 include(KDEInstallDirs)

=== debian/changelog ===
kwayland-integration (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:31 +0100

kwayland-integration (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:22 +0000

kwayland-integration (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:57 +0000

kwayland-integration (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:00 +0000

kwayland-integration (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:27 +0000

kwayland-integration (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:10 +0000

kwayland-integration (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:15:20 -0600

kwayland-integration (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               libkf5idletime-dev (>= 5.36.0~),
-               libkf5wayland-dev (>= 4:5.36.0~),
-               libkf5windowsystem-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               libkf5idletime-dev (>= 5.42.0~),
+               libkf5wayland-dev (>= 4:5.42.0~),
+               libkf5windowsystem-dev (>= 5.42.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtwayland5

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kwayland-integration-dbg (<= 5.5.5-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kwayland-integration-([\d.]+)\.tar\.xz

## kwayland-integration 5.13.5

=== debian/changelog ===
kwayland-integration (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:03 +0100

kwayland-integration (4:5.13.4-0ubuntu2) cosmic; urgency=medium

  * Sync changes from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Qt build deps.
    - debian/control: Don't use Debian group breaks.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 14:01:41 +0100

kwayland-integration (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:24 +0100

kwayland-integration (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:07 +0100

kwayland-integration (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:19 +0100

kwayland-integration (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:16 +0100

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libkf5idletime-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtwayland5,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: qtwayland5, ${misc:Depends}, ${shlibs:Depends}
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.

## kwayland-integration 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 project(kwayland-integration)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.24.0")
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
 
-find_package(ECM 0.0.11 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
 include(FeatureSummary)
 
@@ -22,6 +22,7 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(ECMQtDeclareLoggingCategory)
 
 # required frameworks
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -30,7 +31,16 @@
 )
 find_package(KF5Wayland CONFIG REQUIRED)
 
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
+#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+
 add_subdirectory(src)
-add_subdirectory(autotests)
+if(BUILD_TESTING)
+   add_subdirectory(autotests)
+endif()   
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/windowsystem/CMakeLists.txt ===
set(wayland_plugin_SRCS
    logging.cpp
    plugin.cpp
    waylandintegration.cpp
    windoweffects.cpp
    windowsystem.cpp
    windowinfo.cpp
)
ecm_qt_declare_logging_category(wayland_plugin_SRCS HEADER logging.h IDENTIFIER KWAYLAND_KWS CATEGORY_NAME org.kde.kf5.kwindowsystem.kwayland DEFAULT_SEVERITY Warning)


add_library(KF5WindowSystemKWaylandPlugin MODULE ${wayland_plugin_SRCS})
target_link_libraries(KF5WindowSystemKWaylandPlugin
    KF5::WindowSystem
    KF5::WaylandClient
    Qt5::Widgets
)

install(
    TARGETS
        KF5WindowSystemKWaylandPlugin
    DESTINATION
        ${PLUGIN_INSTALL_DIR}/kf5/org.kde.kwindowsystem.platforms/
)

install( FILES kwindowsystem.kwayland.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

=== debian/changelog ===
kwayland-integration (5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:35:23 +0800

kwayland-integration (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:56 -0300

kwayland-integration (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:43 -0300

kwayland-integration (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:05 +0200

kwayland-integration (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.13.1).
  * Bump group breaks (5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:06 +0200

kwayland-integration (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:53 +0100

kwayland-integration (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:41 +0100

kwayland-integration (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:48 +0100

kwayland-integration (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:01 -0300

kwayland-integration (5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:30 +0200

kwayland-integration (5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:30 +0200

kwayland-integration (5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:18 +0100

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5idletime-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.4.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtwayland5,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwayland-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwayland-integration.git

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: qtwayland5, ${misc:Depends}, ${shlibs:Depends}
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.
Breaks: kwin-wayland (<< 4:5.14), plasma-workspace-wayland (<< 4:5.14)

## kwayland-integration 5.15.4

=== debian/changelog ===
kwayland-integration (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:50 +0100

kwayland-integration (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:16 +0000

kwayland-integration (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:59 +0000

kwayland-integration (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:48 +0000

kwayland-integration (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:24 +0000

kwayland-integration (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:37 +0000

kwayland-integration (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:21 +0000

kwayland-integration (4:5.14.4-0ubuntu1) disco; urgency=medium

  * Install debug categories file
  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:25 +0000

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5wayland-dev (>= 4:5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtwayland5,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kwayland-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland-integration

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: qtwayland5, ${misc:Depends}, ${shlibs:Depends}
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.

## kwayland-integration 5.16.5

=== debian/changelog ===
kwayland-integration (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:24:29 +0100

kwayland-integration (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:45:17 +0100

kwayland-integration (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:35 +0100

kwayland-integration (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:23:34 +0100

kwayland-integration (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:24:05 +0100

kwayland-integration (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:36:15 +0100

kwayland-integration (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:49:22 +0100

kwayland-integration (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5idletime-dev (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5idletime-dev (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtwayland5,

## kwayland-integration 5.18.4.1

=== autotests/idletime/CMakeLists.txt ===
add_executable(idleTest idle_test.cpp)
target_link_libraries(idleTest Qt5::Gui Qt5::Test KF5::IdleTime KF5::WaylandClient)
kwaylandtest(idleTest)
ecm_mark_as_test(idleTest)

=== src/windowsystem/CMakeLists.txt ===
--- 
+++ 
@@ -23,4 +23,5 @@
         ${PLUGIN_INSTALL_DIR}/kf5/org.kde.kwindowsystem.platforms/
 )
 
-install( FILES kwindowsystem.kwayland.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES kwindowsystem.kwayland.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+

=== debian/changelog ===
kwayland-integration (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:42 +0100

kwayland-integration (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:07 +0000

kwayland-integration (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:19 +0000

kwayland-integration (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:07 +0000

kwayland-integration (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:27 +0000

kwayland-integration (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:22 +0000

kwayland-integration (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:58 +0000

kwayland-integration (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:14 +0000

kwayland-integration (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:02 +0000

kwayland-integration (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New build depend on libkf5guiaddons-dev
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               libkf5idletime-dev (>= 5.58.0~),
-               libkf5wayland-dev (>= 4:5.58.0~),
-               libkf5windowsystem-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               libkf5guiaddons-dev (>= 5.66.0~),
+               libkf5idletime-dev (>= 5.66.0~),
+               libkf5wayland-dev (>= 4:5.66.0~),
+               libkf5windowsystem-dev (>= 5.66.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtwayland5,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='kwayland-integration-dbg (<= 5.5.5-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kwayland-integration 5.19.5

=== debian/changelog ===
kwayland-integration (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:59 +0100

kwayland-integration (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:19 +0100

kwayland-integration (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:16 +0100

kwayland-integration (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:44 +0100

kwayland-integration (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               libkf5guiaddons-dev (>= 5.66.0~),
-               libkf5idletime-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkf5guiaddons-dev (>= 5.70.0~),
+               libkf5idletime-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtwayland5,

## kwayland-integration 5.20.5

=== CMakeLists.txt ===
project(kwayland-integration)
set(PROJECT_VERSION "5.20.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

include(FeatureSummary)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)

# required frameworks
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    IdleTime
    WindowSystem
    GuiAddons
)
find_package(KF5Wayland CONFIG REQUIRED)

#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)

add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()   

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/windowsystem/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,9 @@
     plugin.cpp
     waylandintegration.cpp
     windoweffects.cpp
+    windowinfo.cpp
+    windowshadow.cpp
     windowsystem.cpp
-    windowinfo.cpp
 )
 ecm_qt_declare_logging_category(wayland_plugin_SRCS HEADER logging.h IDENTIFIER KWAYLAND_KWS CATEGORY_NAME org.kde.kf5.kwindowsystem.kwayland DEFAULT_SEVERITY Warning)
 
@@ -20,7 +21,7 @@
     TARGETS
         KF5WindowSystemKWaylandPlugin
     DESTINATION
-        ${PLUGIN_INSTALL_DIR}/kf5/org.kde.kwindowsystem.platforms/
+        ${PLUGIN_INSTALL_DIR}/kf5/kwindowsystem/
 )
 
 install(FILES kwindowsystem.kwayland.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
kwayland-integration (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

kwayland-integration (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

kwayland-integration (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

kwayland-integration (5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

kwayland-integration (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:40 +0900

kwayland-integration (5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:42:59 +0900

kwayland-integration (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Delete not needed Breaks/Confilcts.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Patrick Franz ]
  * Add hardening=+all build flag.
  * Update data in /debian/upstream/metadata.
  * New upstream version (5.19.4).
  * Bump Qt build-dependencies to 5.14.
  * Bump KF5 build-dependencies to 5.70.
  * Change Maintainer in debian/control to Debian Qt/KDE Maintainers.
  * Remove Maxy from Uploaders as requested.

  [ Pino Toscano ]
  * Update the build dependencies according to the upstream build system:
    - set the KF packages to 5.64.0

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 00:05:28 +0200

kwayland-integration (5.17.5-3) unstable; urgency=medium

  * Team upload.
  * Merge changes from 5.14.5-2:
    - drop patch upstream_remove_slideWindow_QWidget_overload_with_recent...:
      backported from upstream

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 22:31:02 +0100

kwayland-integration (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:10:15 +0100

kwayland-integration (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - add libkf5guiaddons-dev
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the migration from kwayland-integration-dbg, no more needed after two
    Debian stable releases.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Unregister kwindowsystem.kwayland.categories as conffile, as it is no more
    in /etc.
  * Use https for Format in copyright.
  * Remove qtwayland5 from the build dependencies and the runtime dependencies,
    at it is not needed. (Closes: #918512)

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jan 2020 22:08:13 +0100

kwayland-integration (5.14.5-2) unstable; urgency=medium

  * New revision
  * Add upstream patch (143a325ad1f4c57ef9f64e57f009e7e9085a8e90)
    (Closes: 941298)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Oct 2019 14:19:28 +0200

=== debian/control ===
Source: kwayland-integration
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               libkf5guiaddons-dev (>= 5.74~),
               libkf5idletime-dev (>= 5.74~),
               libkf5wayland-dev (>= 4:5.4.0~),
               libkf5windowsystem-dev (>= 5.74~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kwayland-integration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwayland-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwayland-integration.git
Rules-Requires-Root: no

Package: kwayland-integration
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kwayland runtime integration plugins
 Wayland runtime integration plugins for kidletime and kwindowsystem.
 .
 Contains development files for kwayland-integration.
